## sugar-toolkit 0.98.1

=== debian/changelog ===
sugar-toolkit (0.98.1-7) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jun 2015 16:24:27 -0500

sugar-toolkit (0.98.1-6) experimental; urgency=medium

  * Update package relations:
    + Relax to recommend unversioned telepathy-mission-control-5 and
      telepathy-salut: Needed versions satisfied even in oldstable.
    + Fix Recommend telepathy-gabble-legacy or older telepathy-gabble
      (not recent telepathy-gabble): Old Tubes API needed.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2015 12:03:29 -0500

sugar-toolkit (0.98.1-5) experimental; urgency=medium

  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Update package relations: Recommend/depend on unbranched Glucose
    parts (i.e. core libraries).
  * Drop branch from source and binary package.
  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Switch packaging git branch back to master.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2015 08:42:04 -0500

sugar-toolkit-0.98 (0.98.1-4+unstable1) unstable; urgency=medium

  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Update package relations:
    + Relax to recommend unversioned telepathy-mission-control-5 and
      telepathy-salut: Needed versions satisfied even in oldstable.
    + Fix Recommend telepathy-gabble-legacy or older telepathy-gabble
      (not recent telepathy-gabble): Old Tubes API needed.
  * Switch packaging git branch to master-0.104.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2015 18:18:54 -0500

sugar-toolkit-0.98 (0.98.1-4) unstable; urgency=medium

  * Move to section oldlibs: Deprecated upstream.
  * Mention deprecation in short and long description.
  * Update package relations:
    + Suggest git (not git-core).
    + Fix stop suggest subversion: Unused upstream since ~2008.
    + Fix explicitly recommend shared-mime-info.
  * Modernize short and long description.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2015 21:27:06 +0200

sugar-toolkit-0.98 (0.98.1-3) unstable; urgency=medium

  * Update copyright info: Add alternate git source URL.
  * Update package relations:
    + Fix stop depend on python-cjson.
    + Fix recommend dbus-x11.
    + Fix recommend sugar-presence-service-0.90 - i.e. newest and likely
      last branch (not bogus sugar-presence-service-0.98).
    + Fix stop recommend bogus sugar-*.
    + Fix bump to recommend branch 0.104 of python-carquinyol-* and
      python-jarabe-*, and add unversioned fallbacks.
      Closes: bug#782484. Thanks to James Cameron.
  * Move packaging to Debian Sugar Team.
  * Favor bzip2-compressed upstream tarballs over xz.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Apr 2015 20:34:52 +0200

sugar-toolkit-0.98 (0.98.1-2) experimental; urgency=medium

  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Git field to use canonical URL.
  * Update Vcs-Browser field to use cgit and https.
  * Wrap and sort Uploaders and package relations fields.
  * Update copyright info:
    + Extend coverage for myself.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
  * Track xz compressed upstream tarballs (favored over bzip2).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Apr 2015 10:17:11 +0200

sugar-toolkit-0.98 (0.98.1-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Santiago ]
  * Bump packaging to upstream version 0.98.
  * Adding myself to Uploaders.

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 06 Sep 2013 10:22:16 +0200

sugar-toolkit-0.96 (0.96.3-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Display spinner cursor when saving after closing the activity.
    + ToolButton: add 'icon_name' as a GObject property.
    + Activity Toolbar Description input field wrap text.
    + Move the translation initialisation to an earlier stage.

  [ Jonas Smedegaard ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Update package relations:
    + Fix tighten dependency on telepathy-mission-control-5 to include
      epoch.
    + Simplify to drop fallback dependencies for python-rsvg and
      python-gconf: They are available even in oldstable.
    + Relax to depend unversioned on python-gobject: Needed version
      satisfied even in oldstable.
    + Relax to build-depend unversioned on python: Needed version
      satisfied even in oldstable.
  * Bump debhelper compatibility level to 8.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
  * Rewrite README.source emphasizing control.in file as *not* a
    show-stopper for contributions, and referring to
    CDBS+git-buildpackage wiki page for details.
  * Update copyright file:
    + Fix use comment pseudo-sections in copyright file to obey silly
      restrictions of copyright format 1.0.
    + Extend copyright coverage for autotools to include recent years.
  * Modernize long description, based on upstream wiki phrases.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Bump standards-version to 3.9.4.
  * Stop tracking md5sum of upstream tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jun 2013 22:24:09 +0200

sugar-toolkit-0.96 (0.96.1-1) unstable; urgency=low

  * New upstream stable release.

  * Switch packaging to upstream branch 0.96.
  * Refresh patches.
  * Update copyright file:
    + Extend copyright coverage of some files to include recent years.
    + Drop copyright holder of no longer included files.


