## sugar-toolkit 0.110.0

=== debian/changelog ===
sugar-toolkit (0.110.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Highlights:
    + Make GTK2 activities run properly outside Sugar.

  [ Jonas Smedegaard ]
  * Use dh-autoreconf.
  * Update package relations:
    + Build-depend on licensecheck (not devscripts).
    + Build-depend on dh-autoreconf and autoconf-archive.
    + Depend on (default-)dbus-session-bus, with fallback on dbus-x11 to
      ease backporting.
      Closes: Bug#836393. Thanks to Simon McVittie.
    + Recommend fonts-dejavu-core (not ttf-dejavu-core).
    + Suggest fonts-dejavu-extra (not ttf-dejavu-extra).
    + Stop recommend older telepathy-gabble: Legacy Tube-based
      collaboration no longer possible to support.
  * Declare compliance with Debian Policy 3.9.8.
  * Update copyright info:
    + Extend coverage for autotools.
    + Extend coverage for Debian packaging.
  * Unfuzz patch 2003.
  * Fix favor ISO 639-1 when differing from ISO 639-2

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2016 13:46:51 +0100
