=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
  Santiago Ruano Rincón <santiago@debian.org>
 Build-Depends: cdbs (>= 0.4.90~),
  autotools-dev,
- devscripts,
+ licensecheck,
  python,
  python-all-dev,
  debhelper,
  dh-buildinfo,
+ autoconf-archive,
+ dh-autoreconf,
  libglib2.0-dev,
  python-gtk2-dev,
  libsm-dev,
@@ -20,7 +22,7 @@
  intltool,
  libxml-parser-perl,
  chrpath
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-toolkit
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-toolkit.git
 Homepage: http://wiki.sugarlabs.org/go/Sugar
