=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2008-2013, 2015 Jonas Smedegaard
+# Copyright 2008-2013, 2015-2016 Jonas Smedegaard
 # <dr@jones.dk>
 # Description: Main Debian packaging script for sugar-toolkit
 #
@@ -23,6 +23,9 @@
 include /usr/share/cdbs/1/class/python-autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+CDBS_BUILD_DEPENDS +=, autoconf-archive
+include /usr/share/cdbs/1/rules/autoreconf.mk
+
 pkgbase = python-sugar-toolkit
 pkgbranch = $(basename $(DEB_UPSTREAM_VERSION))
 pkg = $(pkgbase)
@@ -31,8 +34,6 @@
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bzip2
 
-DEB_AUTOMAKE_ARGS = --add-missing --copy
-
 # Drop created dir if empty to please lintian
 binary-post-install/$(pkg)::
 	rmdir --ignore-fail-on-non-empty --parents $(DEB_DESTDIR)/usr/share/locale
@@ -40,10 +41,6 @@
 # Strip hardcoded rpath
 binary-strip/$(pkg)::
 	find $(DEB_DESTDIR)/usr/lib -type f -name '*.so' -exec chrpath -d '{}' ';'
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build process
 bdeps = libglib2.0-dev, python-gtk2-dev, libsm-dev, libice-dev
@@ -54,7 +51,7 @@
 bdeps +=, chrpath
 
 # Needed (always/often/seldom) at runtime
-#  * dbus-x11 (bus.get_object) used in sugar.*
+#  * dbus-session-bus (bus.get_object) used in sugar.*
 #    + python-carquinyol-* (org.laptop.sugar.DataStore) used in
 #      sugar.datastore.datastore
 #    + python-jarabe (org.laptop.Journal and org.laptop.Shell) used in
@@ -69,15 +66,15 @@
 #  * shared-mime-info (update-mime-database) used in sugar.bundle.bundlebuilder
 #  * unzip used in sugar.bundle.bundle
 #  * git used in sugar.activity.bundlebuilder
-#  * legacy/older telepathy-gabble needed for its Tubes ABI
+#  TODO: Drop dbus-x11 fallback after stretch+1
 python-depends = gtk2 dbus gobject cairo telepathy
 python-depends += sugar hippocanvas gconf dateutil rsvg
 depends = $(patsubst %,$(comma) python-%,$(python-depends))
-recommends = sugar-presence-service, ttf-dejavu-core, unzip
-recommends +=, dbus-x11, telepathy-mission-control-5, telepathy-salut
+recommends = sugar-presence-service, fonts-dejavu-core, unzip
+recommends +=, default-dbus-session-bus | dbus-session-bus | dbus-x11
+recommends +=, telepathy-mission-control-5, telepathy-salut
 recommends +=, python-carquinyol, python-jarabe, shared-mime-info
-recommends +=, telepathy-gabble-legacy | telepathy-gabble (<< 0.17.25)
-suggests = git, ttf-dejavu-extra
+suggests = git, fonts-dejavu-extra
 
 CDBS_BUILD_DEPENDS +=, $(bdeps)
 CDBS_DEPENDS_$(pkg) = $(depends)
@@ -87,3 +84,8 @@
 # Avoid .la files - see http://wiki.debian.org/ReleaseGoals/LAFileRemoval
 binary-post-install/$(pkg)::
 	find '$(cdbs_curdestdir)' -name '*.la' -delete
+
+# Fix favor ISO 639-1 when differing from ISO 639-2
+binary-post-install/$(pkg)::
+	mv debian/$(cdbs_curpkg)/usr/share/locale/aym \
+		debian/$(cdbs_curpkg)/usr/share/locale/ay
