## sugar-toolkit 0.112

=== debian/changelog ===
sugar-toolkit (0.112-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Mention gbp in usage comment.
    + Use patterns.
  * Update git-buildpackage config:
    + Filter any .git* file.
    + Stop set branches or compression.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck.
  * Update copyright info:
    + Drop needless copyright signs.
    + Extend coverage for autotools.
    + Extend coverage for myself.
    + Use https protocol in file format URL.
  * Modernize Vcs-* fields:
    + Consistently use https protocol (not git).
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Tighten lintian overrides regarding License-Reference.
  * Unfuzz patches.
  * Handle upstream releases without micro version.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Nov 2017 03:30:14 +0100
