=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Santiago Ruano Rincón <santiago@debian.org>
-Build-Depends: cdbs (>= 0.4.90~),
+Build-Depends: cdbs,
  autotools-dev,
- licensecheck,
  python,
  python-all-dev,
  debhelper,
@@ -22,9 +21,9 @@
  intltool,
  libxml-parser-perl,
  chrpath
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-sugar/sugar-toolkit
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sugar/sugar-toolkit.git
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sugar/sugar-toolkit.git
 Homepage: http://wiki.sugarlabs.org/go/Sugar
 
 Package: python-sugar-toolkit
