=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright 2008-2013, 2015-2016 Jonas Smedegaard
+# Copyright 2008-2013, 2015-2017 Jonas Smedegaard
 # <dr@jones.dk>
 # Description: Main Debian packaging script for sugar-toolkit
 #
@@ -18,8 +18,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 DEB_BUILDDIR = build
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -27,12 +25,8 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
 pkgbase = python-sugar-toolkit
-pkgbranch = $(basename $(DEB_UPSTREAM_VERSION))
+pkgbranch = $(subst $(space),.,$(wordlist 1, 2,$(subst .,$(space),$(DEB_UPSTREAM_VERSION))))
 pkg = $(pkgbase)
-
-DEB_UPSTREAM_PACKAGE = $(DEB_SOURCE_PACKAGE)
-DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
-DEB_UPSTREAM_TARBALL_EXTENSION = tar.bzip2
 
 # Drop created dir if empty to please lintian
 binary-post-install/$(pkg)::
