## sugar-toolkit 0.112-3+8.0trisquel1

=== debian/changelog ===
sugar-toolkit (0.112-3+8.0trisquel1) flidas; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 04 Apr 2018 04:57:59 +0000

sugar-toolkit (0.112-3) unstable; urgency=medium

  * Update package relations:
    + Fix depend on python-gobject-2 (not bogus python-2-gobject).
  * Update copyright info:
    + Fix use license shortnames FSFUL FSFULLR (not GAP).
    + Fix use license shortname LGPL-2+ (without deviation).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Nov 2017 12:03:38 +0100

sugar-toolkit (0.112-2) unstable; urgency=medium

  * Update package relations:
    + Depend on Python-2-gobject (with only fallback on python-gobject).
    (See bug#802153).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Nov 2017 22:29:17 +0100
